{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 400px;
            word-wrap: break-word;
            
        }
        
        .select2-container {
                z-index: 10000;
            }
            .select2-search__field {
                width: 100% !important;
            }
   
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Sosial</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <a href="{% url 'profile:admin_sosial_create' %}"> 
        <button type="button" class="btn btn-primary mt-2 mb-4"><i class="bi bi-plus"></i> Tambah Sosial</button>
    </a>
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-gradient-primary text-white">
            <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-list"></i> Data Sosial</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-primary text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <td class="text-center">Wilayah</td>
                        <td class="text-center">Tanggal Input</td>
                        <td>Uraian</td>
                        <td>Jumlah Penerima Bantuan</td>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for data_sosial in data_sosial_list %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td class="tdx"><b>{{data_sosial.kampung.distrik.title}} </b> <br><i>{{data_sosial.kampung.titles}}</i> </td>
                                <td><p style="font-size: 12px;">{{data_sosial.create_date}}</p> </td>
                                <td>
                                    <ul>
                                        <li>Jumlah yang memiliki kartu indonesia pintar :{{data_sosial.jml_kartu_kip}} </li>
                                        <li>Jumlah bantuan siswa miskin :{{data_sosial.jml_bantuan_s_miskin}} </li>
                                        <li>Jumlah penguna Kartu Indonesia Sehat : {{data_sosial.jml_kartu_kis}}</li>
                                        <li>Jumlah Pengguna BPJS Kesehatan : {{data_sosial.jml_user_bpjs}}</li>
                                        <li>Jumlah Pengguna BPJS Kesehatan peserta mandiri : {{data_sosial.jml_user_bpjs_mandiri}}</li>
                                        <li>BPJS Ketenaga kerjaan : {{data_sosial.jml_bpjs_ketenagakerjaan}}</li>
                                        
                                    </ul>
                                </td>
                                <td>
                                    <ul>
                                        
                                        <li>Program Keluarga Harapan : {{data_sosial.program_keluarga_harapan}}</li>
                                        <li>Bantuan pangan non tunai :  {{data_sosial.bantuan_pangan_non_tunai}}</li>
                                        <li>Komunitas adat terpencil :  {{data_sosial.komunitas_adat_terpencil}}</li>

                                    </ul>
                                </td>
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                       
                                        <button class="btn btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#tambahpenduduk-{{data_sosial.id}}"><span class="fa fa-edit"></span></button>
                                        <div class="modal fade "  id="tambahpenduduk-{{data_sosial.id}}"  role="dialog" aria-labelledby="tambahpenduduk-{{data_sosial.id}}" aria-hidden="true">
                                            <div class="modal-dialog modal-xl" role="document">
                                                <div class="modal-content ">
                                                    <div class="modal-header bg-gradient-primary text-white">
                                                        <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Input Data Sosial</h5>
                                                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_sosial_edit' data_sosial.id %}">
                                                                {% csrf_token %}
                                                                <div class="row no-gutters align-items-center">
                                                                    <div class="col-md-5">  
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                               Wilayah
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                                                                <option value="">Kampung/Distrik</option>
                                                                                {% for data_kampung in datakampung_list %}
                                                                                    <option value="{{ data_kampung.id }}" {% if data_kampung.id == data_sosial.kampung_id %}selected{% endif %}>
                                                                                        {{ data_kampung.distrik.title }}-{{ data_kampung.titles }}
                                                                                    </option>
                                                                                {% endfor %}    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-4">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Penanggungjawab
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="penanggungjawab" class="form-control" required>
                                                                                <option value="">Pilih Penanggungjawab</option>
                                                                                {% for datajawab in penanggungjawab %}
                                                                                    <option value="{{datajawab.id}}" {% if datajawab.id == data_sosial.penanggungjawab_id %}selected{% endif %}>{{datajawab.nama}}</option>
                                                                                {% endfor %}
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-3">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Tahun
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="tahun"  class="form-control" required>
                                                                                <option value="{{data_sosial.tahun}}" {% if tahun == data_sosial.tahun %}selected{% endif %}>{{data_sosial.tahun}}</option>
                                                                                <option value="">Pilih Tahun</option>
                                                                                <option value="2020">2020</option>    
                                                                                <option value="2021">2021</option>    
                                                                                <option value="2022">2022</option>    
                                                                                <option value="2023">2023</option>    
                                                                                <option value="2024">2024</option>    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <hr>
                                                               <div class="row">
                                                                <div class="card-body">
                                                                    <div class="row" style="padding-top: 20px;">
                                                                        <div class="form-group col-md-4">
                                                                            <label for="jml_halte" align="right"> Jumlah yang memiliki kartu indonesia pintar </label>
                                                                        </div>
                                                                        <div class="form-group col-md-4">
                                                                            <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="jml_kartu_kip" value="{{data_sosial.jml_kartu_kip}}"
                                                                                required>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row" >
                                                                        <div class="form-group col-md-4">
                                                                            <label for="jml_halte" align="right"> Jumlah bantuan siswa miskin </label>
                                                                        </div>
                                                                        <div class="form-group col-md-4">
                                                                            <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="jml_bantuan_s_miskin"  value="{{data_sosial.jml_bantuan_s_miskin}}"
                                                                                required>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row" >
                                                                        <div class="form-group col-md-4">
                                                                            <label for="jml_halte" align="right"> Jumlah penguna Kartu Indonesia Sehat </label>
                                                                        </div>
                                                                        <div class="form-group col-md-4">
                                                                            <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="jml_kartu_kis"  value="{{data_sosial.jml_kartu_kis}}"
                                                                                required>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row" >
                                                                        <div class="form-group col-md-4">
                                                                            <label for="jml_halte" align="right"> Jumlah Pengguna BPJS Kesehatan </label>
                                                                        </div>
                                                                        <div class="form-group col-md-4">
                                                                            <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="jml_user_bpjs"  value="{{data_sosial.jml_user_bpjs}}"
                                                                                required>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row" >
                                                                        <div class="form-group col-md-4">
                                                                            <label for="jml_halte" align="right"> Jumlah Pengguna BPJS Kesehatan peserta mandiri </label>
                                                                        </div>
                                                                        <div class="form-group col-md-4">
                                                                            <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="jml_user_bpjs_mandiri"  value="{{data_sosial.jml_user_bpjs_mandiri}}"
                                                                                required>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row" >
                                                                        <div class="form-group col-md-4">
                                                                            <label for="jml_halte" align="right"> BPJS Ketenaga kerjaan </label>
                                                                        </div>
                                                                        <div class="form-group col-md-4">
                                                                            <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="jml_bpjs_ketenagakerjaan"  value="{{data_sosial.jml_bpjs_ketenagakerjaan}}"
                                                                                required>
                                                                        </div>
                                                                    </div>
                                                                    
                                                                    <hr>
                                                                    
                                                                    <div class="bg-gradient-info text-white shadow" style="margin-top: 10px; margin-bottom: 10px; border-radius: 15px;">
                                                                        <h5 style="padding-top: 10px;" class="text-center">JUMLAH PENERIMA BANTUAN</h5>
                                                                        <hr style="color: white; background-color: white;">
                                                                        <div class="row" >
                                                                            <div class="form-group col-md-4">
                                                                                <label for="jml_halte" align="right" style="padding-left: 150px;"> Program Keluarga Harapan </label>
                                                                            </div>
                                                                            <div class="form-group col-md-4">
                                                                                <input type="number"  placeholder=""
                                                                                    class="form-control"
                                                                                    name="program_keluarga_harapan"  value="{{data_sosial.program_keluarga_harapan}}"
                                                                                    required>
                                                                            </div>
                                                                        </div>
                                                                        <div class="row" >
                                                                            <div class="form-group col-md-4">
                                                                                <label for="jml_halte" align="right" style="padding-left: 150px;"> Bantuan pangan non tunai </label>
                                                                            </div>
                                                                            <div class="form-group col-md-4">
                                                                                <input type="text"  placeholder=""
                                                                                    class="form-control"
                                                                                    name="bantuan_pangan_non_tunai"  value="{{data_sosial.bantuan_pangan_non_tunai}}"
                                                                                    required>
                                                                            </div>
                                                                        </div>
                                                                        <div class="row" >
                                                                            <div class="form-group col-md-4">
                                                                                <label for="jml_halte" align="right" style="padding-left: 150px;"> Komunitas adat terpencil </label>
                                                                            </div>
                                                                            <div class="form-group col-md-4">
                                                                                <input type="number"  placeholder=""
                                                                                    class="form-control"
                                                                                    name="komunitas_adat_terpencil"  value="{{data_sosial.komunitas_adat_terpencil}}"
                                                                                    required>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                               </div>
                                                               
                                                            <div class="modal-footer">
                                                                <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                                                                <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ data_sosial.jml_kartu_kip }}`, '{{ data_sosial.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>
                                    </div>
                                </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    {% include 'profile/admin/sosial/arsip.html' %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/sosial/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/sosial/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/sosial/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/sosial/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}